# temp build fix:
%define _disable_ld_no_undefined 1

Name:           tigervnc
Version:        1.9.0
Release:        %mkrel 1
Summary:	Viewer for the VNC remote display system
Group:		Networking/Remote access
License:        GPLv2+
URL:            http://www.tigervnc.com/
Source0:        https://github.com/TigerVNC/tigervnc/archive/v%{version}/%{name}-%{version}.tar.xz

Patch7:         tigervnc-manpages.patch
Patch8:         tigervnc-getmaster.patch
Patch9:         tigervnc-shebang.patch
# Patch from openmdv to build
Patch10:        tigervnc11-mdv-link.patch
# initially from openmdv
Patch12:        tigervnc-1.8.90-mga-buildir.patch
#Patches from fedora
Patch14:        tigervnc-xstartup.patch

# copied from debian
Patch29:	tigervnc-1.7.0-CVE-2014-8241.patch
Patch30:	tigervnc-1.8.0-CVE-2014-8240.patch

# This is tigervnc-%%{version}/unix/xserver120.patch rebased on the latest xorg
Patch100:       tigervnc-xserver120.patch

BuildRequires:  x11-server-source
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  libxext-devel
BuildRequires:  x11-font-util
BuildRequires:  x11-util-macros
BuildRequires:  x11-xtrans-devel
BuildRequires:  mesagl-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libxfont2-devel
BuildRequires:  pixman-devel
BuildRequires:  openssl-devel
BuildRequires:  libpciaccess-devel
BuildRequires:  libpam-devel
BuildRequires:  libxtst-devel
BuildRequires:  gnutls-devel
BuildRequires:  imagemagick
BuildRequires:  nasm
BuildRequires:  desktop-file-utils
BuildRequires:  jpackage-utils
BuildRequires:  fltk-devel
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  libxi-devel
BuildRequires:  libxinerama-devel
BuildRequires:  freetype-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  pam-devel
BuildRequires:  libjpeg-devel
BuildRequires:  cmake
BuildRequires:  libxrandr-devel

Obsoletes:  tigervnc-java

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%files -f %{name}.lang
%_defaultdocdir/%{name}-%{version}/*
%{_bindir}/vncviewer
%{_iconsdir}/*
%{_datadir}/applications/*
%{_mandir}/man1/vncviewer.1*


#------------------------------------------------------------------------------

%package server

Summary: Server for the VNC remote display system
Group:   Networking/Remote access

Requires: vnc-server-common

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a TigerVNC server, allowing
others to access the desktop on your machine.

%files server
%{_bindir}/vncconfig
%{_bindir}/vncpasswd
%{_bindir}/x0vncserver
%{_bindir}/Xvnc
%{_bindir}/vncserver
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*

#------------------------------------------------------------------------------

%package server-module

Summary: Xorg module for the VNC remote display system
Group:   Networking/Remote access

Requires: x11-server-xorg

%description server-module
This package contains libvnc.so module to X server, allowing others
to access the desktop on your machine.

%files server-module
%{_libdir}/xorg/modules/extensions/libvnc.so

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%patch12 -p1 -b .builddir

cp -r /usr/share/x11-server-source/* unix/xserver
pushd unix/xserver
for all in `find . -type f -perm -001`; do
        chmod -x "$all"
done
%patch100 -p1 -b .xserver120-rebased
popd

# Synchronise manpages and --help output (bug #980870).
%patch7 -p1 -b .manpages

# libvnc.so: don't use unexported GetMaster function (bug #744881 again).
%patch8 -p1 -b .getmaster

# Don't use shebang in vncserver script.
%patch9 -p1 -b .shebang

# Clearer xstartup file (bug #923655).
%patch14 -p1 -b .xstartup

%patch10 -p1 -b .link

%patch29 -p1 -b .CVE-2014-8241
%patch30 -p1 -b .CVE-2014-8240

%build

%cmake
%make_build
cd ..

pushd unix/xserver
rm -f configure
autoreconf -fiv
%configure2_5x  --disable-xorg --disable-xnest --disable-xvfb --disable-dmx \
                --disable-xwin --disable-xephyr --disable-kdrive --disable-xwayland \
                --with-pic --disable-static --disable-xinerama \
                --with-default-font-path="catalogue:%{_sysconfdir}/X11/fontpath.d,built-ins" \
                --with-fontdir=%{_datadir}/X11/fonts \
                --with-xkb-output=%{_localstatedir}/lib/xkb \
                --enable-install-libxf86config \
                --enable-glx --disable-dri --enable-dri2 --disable-dri3  \
                --disable-config-dbus \
                --disable-wayland \
                --disable-present \
                --disable-config-hal \
                --disable-config-udev \
                --with-dri-driver-path=%{_libdir}/dri \
                --without-dtrace \
                --disable-unit-tests \
                --disable-devel-docs \
                --disable-selective-werror

%make_build
popd


# Build icons
pushd media
%cmake
%make_build
popd

%install
%make_install -C build

%make_install -C unix/xserver/hw/vnc

# Install desktop stuff
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,24x24,48x48}/apps

pushd media/icons
for s in 16 24 48; do
install -m644 tigervnc_$s.png %{buildroot}%{_datadir}/icons/hicolor/${s}x$s/apps/tigervnc.png
done
popd

%find_lang %{name} %{name}.lang

# remove unwanted files
rm -f  %{buildroot}%{_libdir}/xorg/modules/extensions/libvnc.la

%changelog
* Sat Jul 27 2019 tex - 1.9.0-1pclos2019
- no java build
